org.apache.hadoop.hdfs.server.namenode

## Class INodeAttributes.SnapshotCopy

- java.lang.Object
- - org.apache.hadoop.hdfs.server.namenode.INodeAttributes.SnapshotCopy

- All Implemented Interfaces:
    org.apache.hadoop.hdfs.server.namenode.INodeAttributes
  Direct Known Subclasses:
    INodeDirectoryAttributes.SnapshotCopy, INodeFileAttributes.SnapshotCopy
  Enclosing interface:
    org.apache.hadoop.hdfs.server.namenode.INodeAttributes

      public abstract static class INodeAttributes.SnapshotCopy
      extends Object
      implements org.apache.hadoop.hdfs.server.namenode.INodeAttributes

  A read-only copy of the inode attributes.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.hadoop.hdfs.server.namenode.INodeAttributes

      `INodeAttributes.SnapshotCopy`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getAccessTime()`
    `org.apache.hadoop.hdfs.server.namenode.AclFeature` | `getAclFeature()`
    `org.apache.hadoop.fs.permission.FsPermission` | `getFsPermission()`
    `short` | `getFsPermissionShort()`
    `String` | `getGroupName()`
    `byte[]` | `getLocalNameBytes()`
    `long` | `getModificationTime()`
    `long` | `getPermissionLong()`
    `String` | `getUserName()`
    `org.apache.hadoop.hdfs.server.namenode.XAttrFeature` | `getXAttrFeature()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.hdfs.server.namenode.INodeAttributes

      `isDirectory`

- - ### Method Detail

    - #### getLocalNameBytes

          public final byte[] getLocalNameBytes()

      Specified by:
        `getLocalNameBytes` in interface `org.apache.hadoop.hdfs.server.namenode.INodeAttributes`
      Returns:
        null if the local name is null; otherwise, return the local name byte array.

    - #### getUserName

          public final String getUserName()

      Specified by:
        `getUserName` in interface `org.apache.hadoop.hdfs.server.namenode.INodeAttributes`
      Returns:
        the user name.

    - #### getGroupName

          public final String getGroupName()

      Specified by:
        `getGroupName` in interface `org.apache.hadoop.hdfs.server.namenode.INodeAttributes`
      Returns:
        the group name.

    - #### getFsPermission

          public final org.apache.hadoop.fs.permission.FsPermission getFsPermission()

      Specified by:
        `getFsPermission` in interface `org.apache.hadoop.hdfs.server.namenode.INodeAttributes`
      Returns:
        the permission.

    - #### getFsPermissionShort

          public final short getFsPermissionShort()

      Specified by:
        `getFsPermissionShort` in interface `org.apache.hadoop.hdfs.server.namenode.INodeAttributes`
      Returns:
        the permission as a short.

    - #### getPermissionLong

          public long getPermissionLong()

      Specified by:
        `getPermissionLong` in interface `org.apache.hadoop.hdfs.server.namenode.INodeAttributes`
      Returns:
        the permission information as a long.

    - #### getAclFeature

          public org.apache.hadoop.hdfs.server.namenode.AclFeature getAclFeature()

      Specified by:
        `getAclFeature` in interface `org.apache.hadoop.hdfs.server.namenode.INodeAttributes`
      Returns:
        the ACL feature.

    - #### getModificationTime

          public final long getModificationTime()

      Specified by:
        `getModificationTime` in interface `org.apache.hadoop.hdfs.server.namenode.INodeAttributes`
      Returns:
        the modification time.

    - #### getAccessTime

          public final long getAccessTime()

      Specified by:
        `getAccessTime` in interface `org.apache.hadoop.hdfs.server.namenode.INodeAttributes`
      Returns:
        the access time.

    - #### getXAttrFeature

          public final org.apache.hadoop.hdfs.server.namenode.XAttrFeature getXAttrFeature()

      Specified by:
        `getXAttrFeature` in interface `org.apache.hadoop.hdfs.server.namenode.INodeAttributes`
      Returns:
        the XAttrs feature.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.